> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/qos-policy-group/describeqospolicygrouptraffic.md).

# DescribeQosPolicyGroupTraffic

## 1. API Description

This API (DescribeQosPolicyGroupTraffic) is used to query aggregated traffic monitoring data for a QoS policy group.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name   | Required | Type    | Description                                                                                                                                                           |
| ---------------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| qosPolicyGroupId | Yes      | String  | <p>QoS policy group ID.</p><p>It can be obtained by calling <a href="/api-reference/zec/qos-policy-group/describeqospolicygroups.md">DescribeQosPolicyGroups</a>.</p> |
| startTime        | Yes      | String  | <p>Query start time.</p><p>Time format: yyyy-MM-ddTHH<span data-gb-custom-inline data-tag="emoji" data-code="1f1f2-1f1f2">🇲🇲</span>ssZ.</p>                         |
| endTime          | Yes      | String  | <p>Query end time.</p><p>Time format: yyyy-MM-ddTHH<span data-gb-custom-inline data-tag="emoji" data-code="1f1f2-1f1f2">🇲🇲</span>ssZ.</p>                           |
| period           | Yes      | Integer | <p>Data granularity, in seconds.</p><p>Supported values: 60, 300, 600, 3600.</p>                                                                                      |

## 3. Output Parameters

| Parameter Name | Type                                                                              | Description                                                                                                           |
| -------------- | --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                            | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| dataSet        | Array of [TrafficDataPoint](/api-reference/zec/datastructure.md#trafficdatapoint) | List of traffic monitoring data points.                                                                               |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query traffic monitoring data for a QoS policy group.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeQosPolicyGroupTraffic
<Common Request Params>

Request：
{
  "qosPolicyGroupId": "qpg-xxxxxxxx",
  "startTime": "2026-04-24T00:00:00Z",
  "endTime": "2026-04-25T00:00:00Z",
  "period": 300
}

Response：
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "dataSet": [
      {
        "timestamp": "2026-04-24T00:00:00Z",
        "bandwidthIn": 102400000,
        "bandwidthOut": 204800000
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                              | Description                          |
| ---------------- | --------------------------------------- | ------------------------------------ |
| 404              | INVALID\_QOS\_POLICY\_GROUP\_NOT\_FOUND | The QoS policy group does not exist. |
